Bug 749323 - Rescue Mode omits grub2-install
Rescue Mode omits grub2-install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 13:57 EDT by John Reiser
Modified: 2013-07-04 08:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: lorax-17.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 07:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2011-10-26 13:57:25 EDT
Description of problem: Neither Rescue Mode nor the default Graphical Desktop has grub2-install.  Thus fixing problems with the bootloader requires unreasonably large effort.

Version-Release number of selected component (if applicable):
lorax-17.0   0fd48ba936b97404ecb573ffeae32f6ed54a3087  (HEAD as of 2011-10-25 14:23:24)


How reproducible: every time


Steps to Reproduce:
1. Boot DVD for Rescue Mode, and choose the root filesystem of a default Graphical Desktop.
2. Try to run grub2-install, either before or after "chroot /mnt/sysimage".
3.
  
Actual results: bash: grub2-install: command not found


Expected results: grub2-install runs


Additional info: Rescue Mode does have /sbin/grub2-efi-{install, mkconfig,mkdevicemap,mknetdir,probe,reboot,set-default}.
Comment 1 Fedora Update System 2012-04-20 04:03:11 EDT
lorax-17.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.15-1.fc17
Comment 2 Fedora Update System 2012-04-23 15:00:44 EDT
lorax-17.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.16-1.fc17
Comment 3 joshua 2012-04-23 17:37:22 EDT
While we are at it, how about grub2-efi-install as well?
Comment 4 Fedora Update System 2012-04-23 23:19:23 EDT
Package lorax-17.16-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-17.16-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6491/lorax-17.16-1.fc17
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.